DecimalFormatManager
Keywords: com.icl.saxon.DecimalFormatManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class DecimalFormatManager

    java.lang.Object
      com.icl.saxon.DecimalFormatManager

public class DecimalFormatManager
extends java.lang.Object

DecimalFormatManager manages the collection of named and unnamed decimal formats

Constructor Summary
`DecimalFormatManager()` create a Controller and initialise variables

Method Summary
`java.text.DecimalFormatSymbols` | `getDefaultDecimalFormat()` Get the default decimal-format.
`java.text.DecimalFormatSymbols` | `getNamedDecimalFormat(int fingerprint)` Get a named decimal-format registered using setNamedDecimalFormat
`void` | `setDefaultDecimalFormat(java.text.DecimalFormatSymbols dfs)` Register the default decimal-format.
`static void` | `setDefaults(java.text.DecimalFormatSymbols d)` Set up the XSLT-defined default attributes in a DecimalFormatSymbols
`void` | `setNamedDecimalFormat(int fingerprint, java.text.DecimalFormatSymbols dfs)` Set a named decimal format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecimalFormatManager

    public DecimalFormatManager()

  create a Controller and initialise variables

Method Detail

### setDefaults

    public static void setDefaults(java.text.DecimalFormatSymbols d)

  Set up the XSLT-defined default attributes in a DecimalFormatSymbols

### setDefaultDecimalFormat

    public void setDefaultDecimalFormat(java.text.DecimalFormatSymbols dfs)
                                 throws TransformerConfigurationException

  Register the default decimal-format. Note that it is an error to register the same decimal-format twice, even with different precedence

  Throws:
    `TransformerConfigurationException`

### getDefaultDecimalFormat

    public java.text.DecimalFormatSymbols getDefaultDecimalFormat()

  Get the default decimal-format.

### setNamedDecimalFormat

    public void setNamedDecimalFormat(int fingerprint,
                                      java.text.DecimalFormatSymbols dfs)
                               throws TransformerConfigurationException

  Set a named decimal format. Note that it is an error to register the same decimal-format twice, even with different precedence.

  Throws:
    `TransformerConfigurationException`

### getNamedDecimalFormat

    public java.text.DecimalFormatSymbols getNamedDecimalFormat(int fingerprint)

  Get a named decimal-format registered using setNamedDecimalFormat

  Parameters:
    `fingerprint` - The fingerprint of the name of the decimal format
  Returns:
    the DecimalFormatSymbols object corresponding to the named locale, if any or null if not set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD